function [idx1 idx2] = find_value_m(A, theValue)
% Find the value theValue in matrix A and return the indexes of
% the first element of A containing theValue
% Input:    A -- the matrix
%           theValue -- the value to search for
% Output: [idx1 idx2] -- the index of A such that A(idx1,idx2)=theValue.
% If theValue is not in A then idx1=idx2=0.

% Homework 2 exercise 7 (function rather than script)

%
% Run from Command Window to call the function
% Create a random matrix containing integer values in the range [1,10] 
% mat = randi([1,10],4,5);    % 4x5 matrix 
% ind = find_value_m(mat, 6); % looking for value 6
%

% The function code starts here
[nrows ncols] = size(A);    % nrows = number of rows of matrix A
                            % ncols = number of columns of matrix A
found = false;
idx1 = 0;
idx2 = 0;

% nested for loops
for i = 1:nrows     % outer loop on rows
    for j = 1:ncols % inner loop on columns
        if A(i,j) == theValue
            found = true;
            idx1 = i;
            idx2 = j;
            break;  % break inner loop
        end
    end
    if found
        break;      % break outer loop
    end
end

end