function idx = find_value_v(V, theValue)
% Find the value theValue in vector V and return the index of
% the first element of V containing theValue
% Input:    V -- the vector
%           theValue -- the value to search for
% Output:   idx -- the index of V such that V(idx)=theValue.
% If theValue is not in V, then idx=0.

% Homework 2 exercise 2 (function rather than script)

%
% Run from Command Window to call the function
% Create a random vector containing integer values in the range [1,10] 
% vec = randi([1,10],1,20);   % row vector with 20 elements
% ind = find_value_v(vec, 5); % looking for value 5
%

% The function code starts here
n = length(V);

%First version using for loop

% Initialization
idx = 0;

% for loop
for i = 1:n
    if V(i) == theValue
        idx = i;
        break;
    end
end
fprintf('for loop: idx=%d\n', idx);

% Alternative version using while loop

% Initialization
i = 1;
idx = 0;
found = false;

% while loop
while (~found) && (i <= n)
    if V(i) == theValue
        found = true;
        idx = i;
    else
        i = i+1;
    end
end
fprintf('while loop: idx=%d\n', idx);

end